MMARCH(8)

NAME
mmarch - Rebuild a Mailman mailing list's archive.

SYNOPSIS
mmarch [options] <listname> [<mbox>]

DESCRIPTION
Use this command to rebuild the archives for a mailing list. You may want to do this if you edit some messages in an archive, or remove some messages from an archive.

-h, --help
    Print this error message and exit.

-q, --quiet
    Make the archiver output less verbose.

--wipe
    First wipe out the original archive before regenerating. You usually want to specify this argument unless you're generating the archive in chunks.

-s N, --start=N
    Start indexing at article N, where article 0 is the first in the mbox. Defaults to 0.

-e M, --end=M
    End indexing at article M. This script is not very efficient with respect to memory management, and for large archives, it may not be possible to index the mbox entirely. For that reason, you can specify the start and end article numbers.

mbox is the path to a list's complete mbox archive. Usually this will be some path in the archives/private directory. For example: % mmarch mylist archives/private/mylist.mbox/mylist.mbox mbox is optional. If it is missing, it is calculated.

AUTHOR
Author of Mailman is the Mailman Cabal, see http://www.list.org/ for information. This manpage is written by Tollef Fog Heen <tfheen@debian.org> for Debian, but may be used by others.

SEE ALSO
Mailman documentation on http://www.list.org/ and in /usr/share/doc/mailman.